## indi-aok 1.1+20220129131520

=== debian/changelog ===
indi-aok (1.1+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:17:41 +0000

indi-aok (1.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 22:30:07 +0100

indi-aok (1.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Dec 2021 17:30:07 +0100

## indi-aok 2.0+20221222093242

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi-aok C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(INDI COMPONENTS driver lx200 REQUIRED)
find_package(Nova REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})
include_directories(${NOVA_INCLUDE_DIR})

include(CMakeCommon)

set(SKYWALKER_VERSION_MAJOR 2)
set(SKYWALKER_VERSION_MINOR 0)

set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_aok.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_aok.xml )

IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 6.3.9)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wformat-overflow=2")
ENDIF ()

########### LX200 AOK Skywalker ###########
SET(lx200aok_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/lx200aok.cpp
    )

add_executable(indi_lx200aok ${lx200aok_SRCS})
target_link_libraries(indi_lx200aok ${INDI_LIBRARIES} ${NOVA_LIBRARIES})

install(TARGETS indi_lx200aok RUNTIME DESTINATION bin )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_aok.xml DESTINATION ${INDI_DATA_DIR})

## indi-aok 2.0%2B20221222093242

=== debian/changelog ===
indi-aok (2.0+20221222093242-1build1) noble; urgency=high

  * No change rebuild against libnova-0.16-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:58 +0200

indi-aok (2.0+20221222093242-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 09:32:53 +0000

indi-aok (2.0+20220610095947-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Thorsten Alteholz ]
  * build version from git
  * based on indi-3rdparty release 1.9.6
  * new upstream version 2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 09:59:57 +0000

=== debian/control ===
Source: indi-aok
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libgsl-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-aok
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-aok.git

Package: indi-aok
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for AOK Skywalker
 This package contains the INDI driver for the AOK Skywalker mount
 controller (DDM Skywalker).
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-aok 2.0+20221222093242

=== debian/changelog ===
indi-aok (2.0+20221222093242-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113007)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:16:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: indi-aok
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake
